config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}

config etc/svxlink/svxlink.conf.new
config etc/svxlink/TclVoiceMail.conf.new
config etc/svxlink/gpio.conf.new
config etc/svxlink/remotetrx.conf.new
config etc/svxlink/svxreflector.conf.new
config etc/svxlink/svxlink.d/ModuleFrn.conf.new
config etc/svxlink/svxlink.d/ModuleHelp.conf.new
config etc/svxlink/svxlink.d/ModuleEchoLink.conf.new
config etc/svxlink/svxlink.d/ModuleDtmfRepeater.conf.new
config etc/svxlink/svxlink.d/ModuleTclVoiceMail.conf.new
config etc/svxlink/svxlink.d/ModuleSelCallEnc.conf.new
config etc/svxlink/svxlink.d/ModulePropagationMonitor.conf.new
config etc/svxlink/svxlink.d/ModuleMetarInfo.conf.new
config etc/svxlink/svxlink.d/ModuleParrot.conf.new
config etc/svxlink/svxlink.d/ModuleTrx.conf.new
preserve_perms etc/rc.d/rc.svxlink.new

if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
( cd usr/lib64 ; rm -rf libasyncaudio.so )
( cd usr/lib64 ; ln -sf libasyncaudio.so.1.6 libasyncaudio.so )
( cd usr/lib64 ; rm -rf libasyncaudio.so.1.6 )
( cd usr/lib64 ; ln -sf libasyncaudio.so.1.6.0 libasyncaudio.so.1.6 )
( cd usr/lib64 ; rm -rf libasynccore.so )
( cd usr/lib64 ; ln -sf libasynccore.so.1.6 libasynccore.so )
( cd usr/lib64 ; rm -rf libasynccore.so.1.6 )
( cd usr/lib64 ; ln -sf libasynccore.so.1.6.0 libasynccore.so.1.6 )
( cd usr/lib64 ; rm -rf libasynccpp.so )
( cd usr/lib64 ; ln -sf libasynccpp.so.1.6 libasynccpp.so )
( cd usr/lib64 ; rm -rf libasynccpp.so.1.6 )
( cd usr/lib64 ; ln -sf libasynccpp.so.1.6.0 libasynccpp.so.1.6 )
( cd usr/lib64 ; rm -rf libasyncqt.so )
( cd usr/lib64 ; ln -sf libasyncqt.so.1.6 libasyncqt.so )
( cd usr/lib64 ; rm -rf libasyncqt.so.1.6 )
( cd usr/lib64 ; ln -sf libasyncqt.so.1.6.0 libasyncqt.so.1.6 )
( cd usr/lib64 ; rm -rf libecholib.so )
( cd usr/lib64 ; ln -sf libecholib.so.1.3 libecholib.so )
( cd usr/lib64 ; rm -rf libecholib.so.1.3 )
( cd usr/lib64 ; ln -sf libecholib.so.1.3.3 libecholib.so.1.3 )
